:Init
@setlocal ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
@pushd %~dp0
@prompt $_
@echo off

if "%1" == "/?" goto Usage
if "%1" == "-?" goto Usage
goto CheckEnvironment

:Usage
@echo.
@echo Combines service, definition, service configuration and accelerator
@echo definition files into an accelerator configuration file.
@echo.
@echo COMBINECONFIG [/?]
@echo.
@echo   /?          Displays this help information.
@echo.
@goto End

:CheckEnvironment
if "%_acceleratorSolution%"=="" call sdkEnv.bat

:Vars
set _accfgFile=%_acceleratorSolution%AcceleratorService\ServiceAccelerator.accfg
set _csdefFile=%_acceleratorSolution%AcceleratorService\ServiceDefinition.csdef
set _cscfgFile=%_acceleratorSolution%AcceleratorService\ServiceConfiguration.cscfg
set _cstmpFile=%TEMP%\temp.cstmp
set _acoutFile=%_acceleratorSolution%AcceleratorService\Service.accfg

:Generate
msxsl.exe "%_accfgFile%" "%_schemaFolder%\ServiceExport.xslt" -o "%_cstmpFile%" cfgFile="%_cscfgFile%"
msxsl.exe "%_cstmpFile%" "%_schemaFolder%\ServiceExport.xslt" -o "%_acoutFile%" cfgFile="%_csdefFile%"

:End
popd