:Init
@setlocal ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
@pushd %~dp0
@prompt $_
@echo off

if "%1" == "/?" goto Usage
if "%1" == "-?" goto Usage
goto CheckEnvironment

:Usage
@echo.
@echo Performs all build transforms against Accelerator XSD source files.
@echo.
@echo ACCELERATORXSD [/?]
@echo.
@echo   /?          Displays this help information.
@echo.
@goto End

:CheckEnvironment
if "%_acceleratorSolution%"=="" call %~dp0sdkEnv.bat

:Vars
set _baseNamespace=Microsoft.WindowsAzure.Accelerator

:Generate

"%ProgramFiles(x86)%\Xsd2Code\Xsd2Code.exe" "%_schemaFolder%\ServiceAccelerator.xsd" %_baseNamespace%.Configuration "%_acceleratorSolution%Accelerator\Configuration\ServiceAccelerator.partial.cs" /pl Net35 /db /dc /eit /is /gbc /ggbc /ssp /xa /cu System.Xml.Linq,System.IO
"%ProgramFiles(x86)%\Xsd2Code\Xsd2Code.exe" "C:\Program Files (x86)\Microsoft Visual Studio 10.0\Xml\Schemas\ServiceDefinitionSchema.xsd" %_baseNamespace%.Configuration.Definition "%_acceleratorSolution%Accelerator\Configuration\ServiceDefinition.partial.cs" /pl Net35 /db /dc /eit /is /gbc /ggbc /ssp /xa /cu System.Xml.Linq,System.IO
"%ProgramFiles(x86)%\Xsd2Code\Xsd2Code.exe" "C:\Program Files (x86)\Microsoft Visual Studio 10.0\Xml\Schemas\ServiceConfigurationSchema.xsd" %_baseNamespace%.Configuration "%_acceleratorSolution%Accelerator\Configuration\ServiceConfiguration.partial.cs" /pl Net35 /db /dc /eit /is /gbc /ggbc /ssp /xa /cu System.Xml.Linq,System.IO
"%ProgramFiles(x86)%\Xsd2Code\Xsd2Code.exe" "%_schemaFolder%\AcceleratorApplications.xsd" %_baseNamespace%.Applications "%_acceleratorSolution%Accelerator\Configuration\ServiceConfiguration.partial.cs" /pl Net35 /db /dc /eit /is /gbc /ggbc /ssp /xa /cu System.Xml.Linq,System.IO

:Document
".\msxsl.exe" "%_schemaFolder%\ServiceAccelerator.xsd" "%_thirdPartyFolder%\xs3p\xs3p.xsl" -o "%_documentationFolder%\ServiceAccelerator.html"


:End
popd