:Init

@setlocal ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
@pushd %~dp0
@prompt $_
@echo off

if "%4" == "/q" set _cloudDriveOverwrite=True
if "%4" == "-q" set _cloudDriveOverwrite=True

@if "%1" == "" goto Usage
@if "%2" == "" goto Usage
@if "%3" == "" goto Usage

@goto CheckVHD
@goto Create

:Usage
@echo.
@echo Creates, mounts and formats a new virtual hard drive file.  
@echo.
@echo CREATEVHD letter size [drive:][path]filename
@echo.
@echo   [drive:][path][filename]
@echo               Specifies the full path the VHD file to mount.
@echo   letter      The drive letter to assign to the volume.
@echo   size        Size of the virtual disk, in megabytes (MB).
@echo
@goto End

:CheckPaths
@if exists "%1" (
    @echo Drive letter '%1' already in use.
    @goto End
)
@if exists "%3" (
    @echo A file exists at the target location '%3'.
    @goto End
)

REM ~~( CHECKVHD )~~
:CheckVHD
if exist "%3" (
    @echo.
    @echo WARNING:  Existing file found at "%3".
    @echo.
    if "%_cloudDriveOverwrite%"=="" (
        choice /C YN /M "File already exists "%3", overwrite"
    )
    @del.exe "%3"
)


:Create
echo create vdisk file="%3" maximum=%2 type=fixed >> "%TEMP%\accelcon.createvhd.script.txt"
echo select vdisk file="%3" >> "%TEMP%\accelcon.createvhd.script.txt"
echo attach vdisk >> "%TEMP%\accelcon.createvhd.script.txt"
echo create partition primary >> "%TEMP%\accelcon.createvhd.script.txt"
echo assign letter=%1 >> "%TEMP%\accelcon.createvhd.script.txt"
echo format fs=ntfs label=vhd quick >> "%TEMP%\accelcon.createvhd.script.txt"
@diskpart.exe -s "%TEMP%\accelcon.createvhd.script.txt"
@ping 1.0.0.0 -n 5 -w 1000 >NUL

REM ~~( END )~~
@echo.
@echo Completed.
@echo.
:End