@ECHO OFF
@ECHO.
@ECHO ==============================================
@ECHO Rapid Provisioning of SQL Azure for Umbraco.
@ECHO ==============================================

REM ENVIRONMENT SETUP
FOR /f "tokens=1,2 delims=@" %%a in ("%User ID%") do set dbUsr=%%a&set dbServer=%%b
SET dbName=%Database%
SET dbAdminUsr=%dbUsr%
SET dbAdminPwd=%Password%
SET dbPwd=%Password%
SET dbServerConnection=%Server% 
SET dbServerAdmin=%dbAdminUsr%@%dbServer%
 
@ECHO.
@ECHO ENVIRONMENT SETTINGS
@ECHO.
@ECHO  SQL Server Con:   %dbServerConnection%
@ECHO  SQL Server Admin: %dbServerAdmin%
@ECHO  SQL Server:       %dbServer%
@ECHO  SQL Database:     %dbName%
@ECHO  Admin User:       %dbAdminUsr%
@ECHO  Admin Password:   %dbAdminPwd%
@ECHO  Umbraco User:     %dbUsr%
@ECHO  Umbraco Password: %dbPwd%

@ECHO.
@ECHO DELETING DATABASE
SQLCMD -U %dbServerAdmin% -P %dbAdminPwd% -S %dbServerConnection% -d master -i "%~dp0..\Sql\DropDatabase.sql" -h-1
